Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357465 - Policy creation dialog is broken if search button was pressed.
Summary: Policy creation dialog is broken if search button was pressed.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.5.0
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.5.6
Assignee: Milan Zázrivec
QA Contact: Dmitry Misharov
URL:
Whiteboard: control
Depends On: 1335100
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-18 09:52 UTC by Dmitry Misharov
Modified: 2018-12-11 15:24 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1335100
Environment:
Last Closed: 2018-12-11 15:24:11 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)

Comment 2 Milan Zázrivec 2016-07-20 07:40:42 UTC
Why has this bug report been cloned for 5.7?

Comment 4 CFME Bot 2016-08-19 15:06:35 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=32e190722ebbffbd43014858735f7775b914ed22

commit 32e190722ebbffbd43014858735f7775b914ed22
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Fri May 13 16:30:45 2016 +0200
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Thu Aug 18 10:58:28 2016 +0200

    Fix creation of control policy dialog after pressing advanced search
    
    It's the existence of session[:edit][:typ] that needs to drive
    the decision what the edit type would be.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1357465
    (cherry picked from commit 59ec3ff396821ccb6f3e50274767f423a9075d61)

 app/controllers/miq_policy_controller/policies.rb     |  2 +-
 .../miq_policy_controller/policies_spec.rb            | 19 ++++++++++++++++---
 2 files changed, 17 insertions(+), 4 deletions(-)

Comment 5 CFME Bot 2016-08-19 15:06:46 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=dbdfa90daf377fc2377ee0923ea710d85b348619

commit dbdfa90daf377fc2377ee0923ea710d85b348619
Merge: 961b9c8 32e1907
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Fri Aug 19 11:03:18 2016 -0400
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Fri Aug 19 11:03:18 2016 -0400

    Merge branch 'fix_control_policy_edit_after_search' into '5.5.z'
    
    Fix creation of control policy dialog after pressing advanced search
    
    It's the existence of session[:edit][:typ] that needs to drive
    the decision what the edit type would be.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1357465
    (cherry picked from commit 59ec3ff396821ccb6f3e50274767f423a9075d61)
    
    See merge request !1035

 app/controllers/miq_policy_controller/policies.rb     |  2 +-
 .../miq_policy_controller/policies_spec.rb            | 19 ++++++++++++++++---
 2 files changed, 17 insertions(+), 4 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.